<%--采购申请--%>
<%@ page contentType="text/html; charset=utf-8" language="java" %>
<%@ taglib uri="/WEB-INF/taglib.tld" prefix="x" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<html>
<head>
    <x:base include="layout,dialog,grid,tree,dateTime,combox,attachment,commonTree,comboDialog"/>
    <x:script src="/biz/topsun/sap/exceptionReport/exceptionReportDetail.js"/>
</head>
<body>
<div class="container-fluid">
    <x:billTitle title="品质异常报告" needStatus="true" needPerson="true"/>
    <form class="hg-form" method="post" action="" id="submitForm">
        <x:hidden name="id"/>
        <x:hidden name="version"/>
        <x:hidden name="billCode"/>
        <x:hidden name="fillinDate"/>
        <x:hidden name="fullId"/>
        <x:hidden name="organId"/>
        <x:hidden name="organName"/>
        <x:hidden name="deptId"/>
        <x:hidden name="deptName"/>
        <x:hidden name="positionId"/>
        <x:hidden name="positionName"/>
        <x:hidden name="personMemberId"/>
        <x:hidden name="personMemberName"/>
        <x:hidden name="statusId"/>
        <x:hidden name="frgdt"/>
        <div class="hg-form-cols">
            <c:if test="${statusId==3}">
            <div style="float: right; margin-right: 10px;" class="btn-group" id="buttonBox">
                <button id="save" title="" type="button" onclick="printPage()" class="btn btn-gray"><i
                        class="fa fa-save"></i>打印
                </button>
            </div>
            </c:if>
            <div class="hg-form-row">
                <x:selectC name="exceptionType" label="异常类型" labelCol="1" fieldCol="2" required="true" dictionary="exceptionType"/>
                <x:inputC name="reportDate" label="呈报日期" labelCol="1" fieldCol="2" required="true" wrapper="date"/>
            </div>
            <div class="hg-form-row">
                <x:inputC name="customerName" label="客户" labelCol="1" fieldCol="2" required="true"/>
                <x:inputC name="customerOrderNo" label="客户单号" labelCol="1" fieldCol="2" required="true"/>
            </div>
        </div>
        <x:title title="单号信息" name="group" hideTable="#info" />
        <div id="maingrid"></div>
        <div class="hg-form-cols">
            <div class="hg-form-row">
                <x:textareaC name="exceptionState" required="false" label="异常陈诉" maxLength="120" labelCol="1" fieldCol="9" rows="3"/>
            </div>
            <div class="hg-form-row">
                <x:textareaC name="exceptionReason" required="false" label="异常原因" maxLength="120" labelCol="1" fieldCol="9" rows="3"/>
            </div>
            <div class="hg-form-row">
                <x:textareaC name="dealMethod" required="false" label="改善措施" maxLength="120" labelCol="1" fieldCol="9" rows="3"/>
            </div>
            <div class="hg-form-row">
                <x:inputC name="dutyDeptName" label="责任部门" labelCol="1" fieldCol="2" required="false"/>
                <x:hidden name="dutyDept"/>
                <x:inputC name="checkOperatorName" label="校验员" labelCol="1" fieldCol="2" required="false"/>
                <x:hidden name="checkOperator"/>
            </div>
            <div class="hg-form-row">
                <x:textareaC name="dealResult" required="false" label="处理结果" maxLength="120" labelCol="1" fieldCol="9" rows="3"/>
            </div>
            <div class="hg-form-row">
                <x:inputC name="manager" label="单位主管" labelCol="1" fieldCol="2" required="false"/>
                <x:inputC name="deputyManager" label="副理" labelCol="1" fieldCol="2" required="false"/>
                <x:inputC name="generalManager" label="经理" labelCol="1" fieldCol="2" required="false"/>
            </div>
            <div class="hg-form-row">
                <x:textareaC name="remark" required="false" label="备注" maxLength="120" labelCol="1" fieldCol="9" rows="3"/>
            </div>
        </div>
        <x:title title="责任人信息" name="group" hideTable="#info" />
        <div id="dutyPersonGrid"></div>
    </form>
</div>
</body>