package com.huigou.topsun.common;

import com.itextpdf.text.pdf.BaseFont;
import freemarker.template.Template;
import org.krysalis.barcode4j.HumanReadablePlacement;
import org.krysalis.barcode4j.impl.code128.Code128Bean;
import org.krysalis.barcode4j.output.bitmap.BitmapCanvasProvider;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.servlet.view.freemarker.FreeMarkerConfigurer;
import org.xhtmlrenderer.pdf.ITextRenderer;

import java.awt.image.BufferedImage;
import java.io.*;


public class CommonUtils {


    public static ByteArrayOutputStream createPDF(Object m, Template template){
        ByteArrayOutputStream  byteArrayOutputStream = new ByteArrayOutputStream();
        try {
            // freemarkerConfigurer.getConfiguration().setClassForTemplateLoading(SapPermitApplicationImpl.class,"/template");
           // Template template = freemarkerConfigurer.getConfiguration().getTemplate(modelPath);
            StringWriter w = new StringWriter();
            template.process(m, w);
            w.flush();
            String s = w.toString();
            ITextRenderer iTextRenderer = new ITextRenderer();
            iTextRenderer.getFontResolver().addFont("font/simsun.ttc", BaseFont.IDENTITY_H, true);
            iTextRenderer.setDocumentFromString(s);
            iTextRenderer.layout();
            iTextRenderer.createPDF(byteArrayOutputStream,false);
            iTextRenderer.finishPDF();
            byteArrayOutputStream.flush();
        } catch (Exception e) {
            // throw new RuntimeException(e.getMessage());
            e.printStackTrace();
        }finally {
            try {
                byteArrayOutputStream.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
        return byteArrayOutputStream;
    }


    public static void generateBarCode128(String msg, String imgType, OutputStream out)
            throws IOException {
        if (msg == null || out == null) {
            return;
        }
        Code128Bean bean = new Code128Bean();
        int dpi = 100;
        // module宽度 UnitConv.in2mm(1.f / dpi);
        double moduleWidth = 0.4;
        bean.setModuleWidth(moduleWidth);
        bean.setMsgPosition(HumanReadablePlacement.HRP_BOTTOM);
        bean.setHeight(10);
        bean.doQuietZone(false);


        BitmapCanvasProvider canvas = new BitmapCanvasProvider(out, imgType,
                dpi, BufferedImage.TYPE_BYTE_BINARY, false, 0);
        bean.generateBarcode(canvas, msg);
        canvas.finish();
    }

    public static File genBarCode128(String msg, String imgType, File file)
            throws IOException {
          FileOutputStream out = new FileOutputStream(file);
        try {
            generateBarCode128(msg,imgType, out);
        } finally {
            if (out != null) {
                out.close();
            }
        }
        return file;
    }
}
