package com.huigou.topsun.sap.costCenter.application.impl;

import com.huigou.cache.DictUtil;
import com.huigou.context.OrgUnit;
import com.huigou.topsun.sap.costCenter.application.CostCenterApplication;
import com.huigou.topsun.sap.costCenter.domain.CostCenter;
import com.huigou.topsun.sap.costCenter.domain.TmpCostCenterData;
import com.huigou.topsun.sap.costCenter.repository.TmpCostCenterDataRepository;
import com.huigou.topsun.sap.fixedAssets.domain.TmpFixedAssessData;
import com.huigou.topsun.sap.fixedAssets.repository.TmpFixedAssessDataRepository;
import com.huigou.uasp.bmp.common.BizBillStatus;
import com.huigou.uasp.bmp.opm.application.OrgApplication;
import com.huigou.uasp.bmp.opm.domain.model.org.Org;
import com.huigou.uasp.tool.dataimport.application.ExcelImportInterface;
import com.huigou.util.StringUtil;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.List;

@Service("costCenterDataExcelImport")
public class CostCenterDataExcelImport implements ExcelImportInterface {


    @Autowired
    private TmpCostCenterDataRepository tmpCostCenterDataRepository;
    @Autowired
    private OrgApplication orgApplication;
    @Autowired
    private CostCenterApplication costCenterApplication;
    @Override
    public void executeImport(String batchNumer) {
        List<TmpCostCenterData> centerDataList = tmpCostCenterDataRepository.findByBatchNumber(batchNumer);
        if (!CollectionUtils.isEmpty(centerDataList)){
            for (TmpCostCenterData tmpCostCenterData : centerDataList) {
                CostCenter costCenter = new CostCenter();
                BeanUtils.copyProperties(tmpCostCenterData,costCenter);
                costCenter.setIsDelete(0);
                costCenter.setIsEnable(1);
                costCenter.setTYPE("S");
                costCenter.setMESSAGE("成本中心主数据创建成功！");
                costCenter.setStatusId(BizBillStatus.COMPLETED.getId());
//                String value = DictUtil.getDictionaryDetailValue("KOSAR", tmpCostCenterData.getKosar());
//                if (StringUtil.isBlank(value)){
//                    throw new RuntimeException("未识别的成本中心类型");
//                }
                //costCenter.setKosar(tmpCostCenterData.getKosar());
//                String prctr = DictUtil.getDictionaryDetailValue("PRCTR", tmpCostCenterData.getPrctr());
//                if (StringUtil.isBlank(prctr)){
//                    throw new RuntimeException("未识别的利润中心类型");
//                }
                //costCenter.setPrctr(prctr);
                if (StringUtil.isBlank(tmpCostCenterData.getCreatedCode())){
                    throw new RuntimeException("创建人编码不能为空");
                }
                Org org = orgApplication.loadMainOrgByLoginName(tmpCostCenterData.getCreatedCode());
                costCenter.setDefaultValues(new OrgUnit(org.getFullId(), org.getFullName()));
                costCenterApplication.saveCostCenter(costCenter);
            }
        }
    }

}
